Python
import requests
url = "https://app.langwatch.ai/api/annotations/{id}"
payload = {
"comment": "<string>",
"isThumbsUp": True
}
headers = {
"X-Auth-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Auth-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({comment: '<string>', isThumbsUp: true})
};
fetch('https://app.langwatch.ai/api/annotations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://app.langwatch.ai/api/annotations/{id} \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: <api-key>' \
--data '
{
"comment": "<string>",
"isThumbsUp": true
}
'{
"data": {
"id": "<string>",
"projectId": "<string>",
"traceId": "<string>",
"comment": "<string>",
"isThumbsUp": true,
"userId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"email": "<string>"
}
}{
"error": 123,
"message": "<string>"
}Annotations
Patch single annotation
Updates a single annotation based on the ID supplied
PATCH
/
api
/
annotations
/
{id}
Python
import requests
url = "https://app.langwatch.ai/api/annotations/{id}"
payload = {
"comment": "<string>",
"isThumbsUp": True
}
headers = {
"X-Auth-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Auth-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({comment: '<string>', isThumbsUp: true})
};
fetch('https://app.langwatch.ai/api/annotations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://app.langwatch.ai/api/annotations/{id} \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: <api-key>' \
--data '
{
"comment": "<string>",
"isThumbsUp": true
}
'{
"data": {
"id": "<string>",
"projectId": "<string>",
"traceId": "<string>",
"comment": "<string>",
"isThumbsUp": true,
"userId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"email": "<string>"
}
}{
"error": 123,
"message": "<string>"
}Authorizations
Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.
Path Parameters
ID of annotation to delete
Response
Annotation response
Show child attributes
Show child attributes
Last modified on March 25, 2026
Was this page helpful?